<script>
    export default {
        data(){
            return {
                showMainNav: false,
                scrolled: false
            }
        },
        methods: {
            handleScroll() {
                if (window.scrollY > 20) {
                    this.scrolled = true;
                } else {
                    this.scrolled = false;
                }
            },
            mainNavToggle() {
                document.body.classList.toggle("overflow-hidden");
                this.showMainNav = !this.showMainNav;
            }
        },
        created() {
            window.addEventListener('scroll', this.handleScroll);
        },
        destroyed() {
            window.removeEventListener('scroll', this.handleScroll);
        }
    }
</script>

<template>
    <main>
        <header class="main-header fixed t-0 l-0 w-100pr bg-white z-10" :class="{ 'main-header--scroll-down' : scrolled }">
            <div class="container container--my-brand flex align-center h-100pr">

                <!-- LOGO -->
                <router-link to="/" class="nav-link active" aria-current="page">
                    <img class="header-logo" src="/assets/images/layout/logo-mybrand.svg" alt="">
                </router-link>
                
                <!-- MAIN NAV -->
                <nav class="main-nav ml-auto" :class="{'active' : showMainNav}">
                    <ul class="main-nav-list xl:flex tx-medium tx-22 xl:tx-14 xxl:tx-16 bullet-none spacing-0">

                        <li class="main-nav-item">
                            <a class="main-nav-link hover:tx-primary-1" href="/#que-hacemos" @click="mainNavToggle()">
                                QUÉ HACEMOS
                            </a>
                        </li>

                        <li class="main-nav-item">
                            <a class="main-nav-link hover:tx-primary-1" href="/#porque-my-brand" @click="mainNavToggle()">
                                PORQUE MY BRAND
                            </a>
                        </li>

                        <li class="main-nav-item">
                            <a class="main-nav-link hover:tx-primary-1" href="/#nosotros" @click="mainNavToggle()">
                                NOSOTROS
                            </a>
                        </li>

                        <li class="main-nav-item">
                            <a class="main-nav-link hover:tx-primary-1" href="/#contacto" @click="mainNavToggle()">
                                CONTACTO
                            </a>
                        </li>
                    </ul>
                </nav>

                <!-- SOCIAL MEDIA -->
                <div class="hidden xl:flex ml-13">
                     <a class="block mr-10" href="">
                         <img class="hover:filter-primary-1" width="18px" src="/assets/images/helpers/social_media/fbk.svg" alt="">
                     </a>
                     <a href="">
                         <img class="hover:filter-primary-1" width="32px" src="/assets/images/helpers/social_media/ig.svg" alt="">
                     </a>
                </div>

                <!-- BTN MENU -->
                <button id="triggerMenu" class="burger trigger-menu xl:hidden -mr-2 ml-auto" :class="{'trigger-menu-toggled' : showMainNav}" @click="mainNavToggle()">
                    <div class="burger-inner">
                        <span class="burger-inner-line"></span>
                        <span class="burger-inner-line"></span>
                        <span class="burger-inner-line"></span>
                    </div>
                </button>
            </div>
        </header>

        <!-- ROUTER VIEW -->
        <router-view></router-view>

        <!-- FOOTER -->
        <footer class="main-footer bg-white py-8">
            <div class="container container--my-brand flex flex-column md:flex-row align-center md:align-end">
                <div class="mb-10 md:mb-0">
                    <router-link to="/">
                        <img class="block mx-auto md:m-0" src="/assets/images/layout/icon-mybrand-v.png" alt="">
                    </router-link>

                    <div class="mt-10">
                        Derechos Reservados 2021
                    </div>
                </div>

                <div class="md:ml-auto">
                    <div class="flex mb-7">
                        <ul class="spacing-0 bullet-none">
                            <li class="mb-3">
                                <a class="hover:tx-primary-1" href="tel:5555555555">
                                    Tel.: 55 55 55 55 55
                                </a>
                            </li>
                            <li>
                                <a class="hover:tx-primary-1" href="mailto:hola@mybrand.com">
                                    Mail: hola@mybrand.com
                                </a>
                            </li>
                        </ul>

                        <!-- SOCIAL MEDIA -->
                        <div class="flex ml-10 sm:ml-30">
                            <a class="block flex-none mr-10" href="">
                                <img class="hover:filter-primary-1" width="18px" src="/assets/images/helpers/social_media/fbk.svg" alt="">
                            </a>
                            <a class="block flex-none" href="">
                                <img class="hover:filter-primary-1" width="32px" src="/assets/images/helpers/social_media/ig.svg" alt="">
                            </a>
                        </div>
                    </div>

                    <a class="hover:tx-primary-1" href="">
                        Aviso de Privacidad
                    </a>
                </div>
            </div>
        </footer>
    </main>
</template>
